

recipe_file <- "modules/data_load/testing_recipes/recipe_3.yml"
recipe_file <- "modules/data_load/testing_recipes/recipe_2.yml"
recipe_file <- "modules/data_load/testing_recipes/recipe_1.yml"

source("modules/data_load/load.R")

data <- load_datasets(recipe_file)

method <- "bias"
mm=F
ncores=4
na.rm=T

# Hcst calibration 
#hcst <- CSTools::CST_Calibration(data$hcst, data$obs,
#                                 cal.method = method,
#                                 eval.method = "leave-one-out",
#                                 multi.model = mm,
#                                 na.fill = TRUE,
#                                 na.rm = na.rm,
#                                 apply_to = NULL,
#                                 alpha = NULL,
#                                 memb_dim = "ensemble",
#                                 sdate_dim = "syear",
#                                 ncores = ncores)

# For daily
hcst <- CSTools::CST_QuantileMapping(data$hcst,
                                     data$obs,
                                     exp_cor = NULL,
                                     sample_dims = c("syear", "time", "ensemble"),
                                     sample_length = NULL,
                                     method = "QUANT",
                                     ncores = ncores,
                                     n.rm = na.rm)
